%define	name	libwmf
%define	ver	0.2.0
%define	rel	3ml

Summary: library and utilities for displaying and converting metafile images
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: LGPL
Group: System Environment/Libraries
Source: http://download.sourceforge.net/wvware/libwmf-%{version}.tar.gz
Patch0: libwmf.4freetype2.patch
Patch1: libwmf-0.2.0-intoverflow.patch
URL: http://www.wvware.com/
BuildRequires: freetype freetype-devel
BuildRoot: %{_tmppath}/%{name}-%{ver}-root

%description
This is a library for interpreting metafile images and either displaying them
using X or converting them to standard formats such as PNG, JPEG, PS, EPS,...

%package devel
Summary: Development tools for programs to manipulate metafile images
Group: Development/Libraries
Requires: libwmf = %{PACKAGE_VERSION}

%description devel
The libwmf-devel package contains the header files and static
libraries necessary for developing programs using libwmf.

If you want to develop programs which will manipulate metafile images, you
should install libwmf-devel. You'll also need to install the libwmf package.

%changelog
* Wed Jun 20 2007 Tetsuya Morimoto <tmorimoto@miraclelinux.com>
- 0.2.0-3ml applied a fix for CVE-2006-3376

* Wed Aug 15 2001 Jun YOSHIDA <jun@miraclelinux.com>
- changed doc dir from /usr/doc to /usr/share/doc

%prep
%setup
%patch0 -p0
%patch1 -p1
./configure --prefix=/usr --without-expat --without-xml \
	-mandir=%{_mandir} --infodir=%{_docdir} --with-freetype=/usr/include/freetype2

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
[ ! -d ${RPM_BUILD_ROOT}%{_docdir} ] && mkdir -p ${RPM_BUILD_ROOT}%{_docdir}
mv $RPM_BUILD_ROOT/usr/doc/libwmf ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
cp -p README ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
cp -p COPYING ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
cp -p ChangeLog ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
/usr/bin/wmf2eps
/usr/bin/wmf2fig
/usr/bin/wmf2svg
/usr/bin/wmf2gd
/usr/bin/wmf2x
/usr/bin/wmf2plot
/usr/bin/wmf2magick
/usr/bin/libwmf-fontmap
/usr/lib/libwmf-0.2.so.0.0.0
/usr/lib/libwmf-0.2.so.0
/usr/lib/libwmf.so
/usr/lib/libwmf.la
/usr/share/libwmf/fonts/n019003l.afm
/usr/share/libwmf/fonts/n019003l.pfb
/usr/share/libwmf/fonts/n019004l.afm
/usr/share/libwmf/fonts/n019004l.pfb
/usr/share/libwmf/fonts/n019023l.afm
/usr/share/libwmf/fonts/n019023l.pfb
/usr/share/libwmf/fonts/n019024l.afm
/usr/share/libwmf/fonts/n019024l.pfb
/usr/share/libwmf/fonts/n021003l.afm
/usr/share/libwmf/fonts/n021003l.pfb
/usr/share/libwmf/fonts/n021004l.afm
/usr/share/libwmf/fonts/n021004l.pfb
/usr/share/libwmf/fonts/n021023l.afm
/usr/share/libwmf/fonts/n021023l.pfb
/usr/share/libwmf/fonts/n021024l.afm
/usr/share/libwmf/fonts/n021024l.pfb
/usr/share/libwmf/fonts/n022003l.afm
/usr/share/libwmf/fonts/n022003l.pfb
/usr/share/libwmf/fonts/n022004l.afm
/usr/share/libwmf/fonts/n022004l.pfb
/usr/share/libwmf/fonts/n022023l.afm
/usr/share/libwmf/fonts/n022023l.pfb
/usr/share/libwmf/fonts/n022024l.afm
/usr/share/libwmf/fonts/n022024l.pfb
/usr/share/libwmf/fonts/s050000l.afm
/usr/share/libwmf/fonts/s050000l.pfb
/usr/share/libwmf/fonts/fontmap
#%doc README COPYING ChangeLog
/usr/share/doc/libwmf-%{version}/gd.html
/usr/share/doc/libwmf-%{version}/index.html
/usr/share/doc/libwmf-%{version}/tutapi.html
/usr/share/doc/libwmf-%{version}/tutipa.html
/usr/share/doc/libwmf-%{version}/dlayer.html
/usr/share/doc/libwmf-%{version}/wmfpic.png
/usr/share/doc/libwmf-%{version}/smlogo2.gif
/usr/share/doc/libwmf-%{version}/caolan/2.html
/usr/share/doc/libwmf-%{version}/caolan/Arc.html
/usr/share/doc/libwmf-%{version}/caolan/BitBlt.html
/usr/share/doc/libwmf-%{version}/caolan/Bmpfrmat.html
/usr/share/doc/libwmf-%{version}/caolan/Chord.html
/usr/share/doc/libwmf-%{version}/caolan/CreateBrushIndirect.html
/usr/share/doc/libwmf-%{version}/caolan/CreatePenIndirect.html
/usr/share/doc/libwmf-%{version}/caolan/CreateRegion.html
/usr/share/doc/libwmf-%{version}/caolan/DeleteObject.html
/usr/share/doc/libwmf-%{version}/caolan/DibBitBlt.html
/usr/share/doc/libwmf-%{version}/caolan/DibCreatePatternBrush.html
/usr/share/doc/libwmf-%{version}/caolan/DibStretchBlt.html
/usr/share/doc/libwmf-%{version}/caolan/Ellipse.html
/usr/share/doc/libwmf-%{version}/caolan/ExcludeClipRect.html
/usr/share/doc/libwmf-%{version}/caolan/ExtFloodFill.html
/usr/share/doc/libwmf-%{version}/caolan/ExtTextOut.html
/usr/share/doc/libwmf-%{version}/caolan/FillRgn.html
/usr/share/doc/libwmf-%{version}/caolan/FloodFill.html
/usr/share/doc/libwmf-%{version}/caolan/FrameRgn.html
/usr/share/doc/libwmf-%{version}/caolan/IntersectClipRect.html
/usr/share/doc/libwmf-%{version}/caolan/InvertRgn.html
/usr/share/doc/libwmf-%{version}/caolan/LineTo.html
/usr/share/doc/libwmf-%{version}/caolan/MoveTo.html
/usr/share/doc/libwmf-%{version}/caolan/OffsetClipRgn.html
/usr/share/doc/libwmf-%{version}/caolan/OffsetViewportOrg.html
/usr/share/doc/libwmf-%{version}/caolan/OffsetWindowOrg.html
/usr/share/doc/libwmf-%{version}/caolan/PaintRgn.html
/usr/share/doc/libwmf-%{version}/caolan/PatBlt.html
/usr/share/doc/libwmf-%{version}/caolan/Pie.html
/usr/share/doc/libwmf-%{version}/caolan/PolyPolygon.html
/usr/share/doc/libwmf-%{version}/caolan/Polygon.html
/usr/share/doc/libwmf-%{version}/caolan/Polyline.html
/usr/share/doc/libwmf-%{version}/caolan/Rectangle.html
/usr/share/doc/libwmf-%{version}/caolan/RestoreDC.html
/usr/share/doc/libwmf-%{version}/caolan/RoundRect.html
/usr/share/doc/libwmf-%{version}/caolan/SaveDC.html
/usr/share/doc/libwmf-%{version}/caolan/ScaleViewportExt.html
/usr/share/doc/libwmf-%{version}/caolan/ScaleWindowExt.html
/usr/share/doc/libwmf-%{version}/caolan/SelectClipRgn.html
/usr/share/doc/libwmf-%{version}/caolan/SelectObject.html
/usr/share/doc/libwmf-%{version}/caolan/SetBkColor.html
/usr/share/doc/libwmf-%{version}/caolan/SetBkMode.html
/usr/share/doc/libwmf-%{version}/caolan/SetDIBitsToDevice.html
/usr/share/doc/libwmf-%{version}/caolan/SetMapMode.html
/usr/share/doc/libwmf-%{version}/caolan/SetMapperFlags.html
/usr/share/doc/libwmf-%{version}/caolan/SetPixel.html
/usr/share/doc/libwmf-%{version}/caolan/SetPolyFillMode.html
/usr/share/doc/libwmf-%{version}/caolan/SetROP2.html
/usr/share/doc/libwmf-%{version}/caolan/SetStretchBltMode.html
/usr/share/doc/libwmf-%{version}/caolan/SetTextAlign.html
/usr/share/doc/libwmf-%{version}/caolan/SetTextCharacterExtra.html
/usr/share/doc/libwmf-%{version}/caolan/SetTextColor.html
/usr/share/doc/libwmf-%{version}/caolan/SetTextJustification.html
/usr/share/doc/libwmf-%{version}/caolan/SetViewportExt.html
/usr/share/doc/libwmf-%{version}/caolan/SetViewportOrg.html
/usr/share/doc/libwmf-%{version}/caolan/SetWindowExt.html
/usr/share/doc/libwmf-%{version}/caolan/SetWindowOrg.html
/usr/share/doc/libwmf-%{version}/caolan/StretchDib.html
/usr/share/doc/libwmf-%{version}/caolan/TextOut.html
/usr/share/doc/libwmf-%{version}/caolan/dibs.html
/usr/share/doc/libwmf-%{version}/caolan/esc.html
/usr/share/doc/libwmf-%{version}/caolan/index.html
/usr/share/doc/libwmf-%{version}/caolan/mapmode.html
/usr/share/doc/libwmf-%{version}/caolan/ora-clp.html
/usr/share/doc/libwmf-%{version}/caolan/ora-wmf.html
/usr/share/doc/libwmf-%{version}/caolan/rop.html
/usr/share/doc/libwmf-%{version}/caolan/support.html
/usr/share/doc/libwmf-%{version}/caolan/support2.html
/usr/share/doc/libwmf-%{version}/caolan/template.html
/usr/share/doc/libwmf-%{version}/caolan/unknown.html
/usr/share/doc/libwmf-%{version}/caolan/msmeta01.gif
/usr/share/doc/libwmf-%{version}/caolan/msmeta02.gif
/usr/share/doc/libwmf-%{version}/caolan/msmeta03.gif
/usr/share/doc/libwmf-%{version}/caolan/msmeta04.gif
/usr/share/doc/libwmf-%{version}/caolan/pics/weave.jpg

%files devel
%defattr(-,root,root)
/usr/bin/libwmf-config
/usr/include/libwmf/gd/gd.h
/usr/include/libwmf/gd/gdcache.h
/usr/include/libwmf/gd/gd_clip.h
/usr/include/libwmf/gd/gd_io.h
/usr/include/libwmf/gd/gdfontg.h
/usr/include/libwmf/gd/gdfontl.h
/usr/include/libwmf/gd/gdfontmb.h
/usr/include/libwmf/gd/gdfonts.h
/usr/include/libwmf/gd/gdfontt.h
/usr/include/libwmf/api.h
/usr/include/libwmf/color.h
/usr/include/libwmf/defs.h
/usr/include/libwmf/fund.h
/usr/include/libwmf/ipa.h
/usr/include/libwmf/types.h
/usr/include/libwmf/macro.h
/usr/include/libwmf/eps.h
/usr/include/libwmf/fig.h
/usr/include/libwmf/svg.h
/usr/include/libwmf/gd.h
/usr/include/libwmf/x.h
/usr/include/libwmf/plot.h
/usr/include/libwmf/magick.h
/usr/lib/libwmf.a
